## gcc-9 9.2.1

=== debian/changelog ===
gcc-9 (9.2.1-9ubuntu2) eoan; urgency=medium

  * Revert the ada changes from -9, introducing a ftbfs on armel.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2019 11:39:55 +0200

gcc-9 (9.2.1-9ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Oct 2019 14:33:47 +0200

gcc-9 (9.2.1-9) unstable; urgency=medium

  * Update to SVN 20191008 (r276687) from the gcc-9-branch.
    - Fix PR libstdc++/91748, PR rtl-optimization/89795, PR c++/91705,
      PR target/86805 (SH), PR target/80672 (SH), PR rtl-optimization/88751,
      PR target/91683 (riscv), PR target/91269 (SPARC),
      PR target/91635 (riscv), PR c++/91923, PR fortran/91557,
      PR fortran/91553, PR fortran/91566, PR fortran/91642, PR fortran/91588,
      PR fortran/91727, PR fortran/91550, PR target/91275 (PPC),
      PR target/91769 (MIPS), PR fortran/91716, PR target/88562 (SH),
      PR driver/69471, PR fortran/84487, PR fortran/47054, PR fortran/91942,
      PR fortran/91785, PR fortran/91864, PR fortran/91802, PR fortran/91714,
      PR fortran/91641.
    - Fix ICE on MIPS. Closes: #941263.
  * Disable gm2 on hurd-i386, mc hangs there (Samuel Thibault). Closes: #940600.
  * Apply proposed patch for PR target/92022. Addresses: #931815.

  [ Nicolas Boulenguez ]
  * Update ada local patches.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Oct 2019 10:21:22 +0200

gcc-9 (9.2.1-8ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Sep 2019 19:21:40 +0200

gcc-9 (9.2.1-8) unstable; urgency=medium

  * Update to SVN 20190909 (r275519) from the gcc-9-branch.
    - Fix PR fortran/91496, PR fortran/91496, PR fortran/91660,
      PR fortran/91589, PR target/87853 (x86), PR target/91704 (x86).
  * libstdc++: Fix GCC_LINUX_FUTEX to work with C99 compilers, taken from
    the trunk.
  * Make LTO link pick up compile-time -g (proposed patch).

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2019 17:18:48 +0200

gcc-9 (9.2.1-7ubuntu2) eoan; urgency=medium

  * Update to SVN 20190907 (r275485) from the gcc-9-branch.
    - Fix PR fortran/91496, PR fortran/91496, PR fortran/91660.
  * Fix GCC_LINUX_FUTEX to work with C99 compilers, taken from the trunk.
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2019 09:40:59 +0200

gcc-9 (9.2.1-7ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 07:00:00 +0200

gcc-9 (9.2.1-7) unstable; urgency=medium

  * Update to SVN 20190905 (r275396) from the gcc-9-branch.
    - Fix PR libstdc++/91067, PR target/91481 (PPC),
      PR tree-optimization/90278, PR tree-optimization/91568,
      PR tree-optimization/90637, PR fortran/91565, PR fortran/91564,
      PR fortran/91551, PR fortran/91587, PR pch/61250, PR c++/91155,
      PR tree-optimization/91597, PR gcov-profile/91601,
      PR target/91472 (SPARC), PR c++/91129, PR fortran/91552,
      PR target/81800 (AArch64).
  * Drop the gcc-alpha-bs-ignore patch, apparently not necessary anymore.
  * For the omp.h header, use the configured OMP_NEST_LOCK_SIZE and
    OMP_NEST_LOCK_ALIGN values for some non-multilib architectures.
    Closes: #935750.
  * Use Python3 to build the gm2 frontend. Closes: #936586.
  * libgphobos76: Add breaks: dub (<< 1.16.0-1~). Addresses: #935275.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 06:45:00 +0200

gcc-9 (9.2.1-6ubuntu3) eoan; urgency=medium

  * Rebuild for glibc 2.30.
  * Update to SVN 20190901 (r275264) from the gcc-9-branch.
    - Fix PR libstdc++/91067, PR target/91481 (PPC),
      PR tree-optimization/90278, PR tree-optimization/91568,
      PR tree-optimization/90637, PR fortran/91565, PR fortran/91564,
      PR fortran/91551, PR fortran/91587, PR pch/61250.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Sep 2019 23:17:41 +0200

gcc-9 (9.2.1-6ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Aug 2019 01:15:11 +0200

gcc-9 (9.2.1-6) unstable; urgency=medium

  * Update to SVN 20190827 (r274974) from the gcc-9-branch.
    - Fix PR ipa/91508, PR ipa/91438, PR ipa/91404, PR lto/91287,
      PR target/91533 (x86), PR ipa/91508, PR ipa/91438, PR ipa/91404,
      PR c++/91521.
  * Backport LTO jobserver support (-flto=auto).
  * any_archs: Remove mips and powerpcspe, add riscv64.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Aug 2019 01:01:47 +0200

gcc-9 (9.2.1-4ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Aug 2019 14:32:32 +0200

gcc-9 (9.2.1-4) unstable; urgency=medium

  * Fix typo for gm2 enablement.
  * Disable gm2 on powerpc, ppc64, sh4, kfreebsd-i386, kfreebsd-amd64.
    See the build logs of 9.2.1-3 for the various issues.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2019 12:12:07 +0200

gcc-9 (9.2.1-3ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Aug 2019 12:20:03 +0200

gcc-9 (9.2.1-3) unstable; urgency=medium

  * Update to SVN 20190821 (r274792) from the gcc-9-branch.
    - Fix PR rtl-optimization/91347, PR target/91386 (AArch64).

  [ Aurelien Jarno ]
  * Enable Ada on riscv64.

  [ Matthias Klose ]
  * Build the gm2 packages except on powerpc and x32.
  * Update gm2 cross build dependencies.
  * Fix gm2 build with -j32.
  * Configure with --enable-libpth-m2 for gm2 cross builds.
  * Configure --without-target-system-zlib for gdc cross builds.
  * Remove not needed libpth-dev dependency for gm2 packages.
  * Ignore M2Version.o for gm2 bootstrap comparison.
  * Update gm2 from the gcc_9_2_0_gm2 branch 20190820.


