=== debian/control ===
Source: gcc-9
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 armel armhf i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.13-0ubuntu6) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev (>= 2.13-31) [armel armhf], libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc1 [amd64 i386], libc6-dev-armhf [armel], libhfgcc1 [armel], libc6-dev-armel [armhf], libsfgcc1 [armhf], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  zlib1g-dev, systemtap-sdt-dev [linux-any kfreebsd-any hurd-any], 
  binutils:native (>= 2.33), binutils-hppa64-linux-gnu:native (>= 2.33) [hppa amd64 i386 x32], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64], nvptx-tools [amd64 ppc64el], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-9:native [!m32r !sh3 !sh3eb !sh4eb !m68k], g++-9:native, netbase, libpth-dev, python3:any, 
  libisl-dev, libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], 
  dejagnu [!m68k] <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, 
  pkg-config, libgc-dev, 
   g++-9-alpha-linux-gnu [alpha] <cross>, gobjc-9-alpha-linux-gnu [alpha] <cross>, gfortran-9-alpha-linux-gnu [alpha] <cross>, gdc-9-alpha-linux-gnu [alpha] <cross>, gccgo-9-alpha-linux-gnu [alpha] <cross>, gnat-9-alpha-linux-gnu [alpha] <cross>, gm2-9-alpha-linux-gnu [alpha] <cross>, g++-9-x86-64-linux-gnu [amd64] <cross>, gobjc-9-x86-64-linux-gnu [amd64] <cross>, gfortran-9-x86-64-linux-gnu [amd64] <cross>, gdc-9-x86-64-linux-gnu [amd64] <cross>, gccgo-9-x86-64-linux-gnu [amd64] <cross>, gnat-9-x86-64-linux-gnu [amd64] <cross>, gm2-9-x86-64-linux-gnu [amd64] <cross>, g++-9-arm-linux-gnueabi [armel] <cross>, gobjc-9-arm-linux-gnueabi [armel] <cross>, gfortran-9-arm-linux-gnueabi [armel] <cross>, gdc-9-arm-linux-gnueabi [armel] <cross>, gccgo-9-arm-linux-gnueabi [armel] <cross>, gnat-9-arm-linux-gnueabi [armel] <cross>, gm2-9-arm-linux-gnueabi [armel] <cross>, g++-9-arm-linux-gnueabihf [armhf] <cross>, gobjc-9-arm-linux-gnueabihf [armhf] <cross>, gfortran-9-arm-linux-gnueabihf [armhf] <cross>, gdc-9-arm-linux-gnueabihf [armhf] <cross>, gccgo-9-arm-linux-gnueabihf [armhf] <cross>, gnat-9-arm-linux-gnueabihf [armhf] <cross>, gm2-9-arm-linux-gnueabihf [armhf] <cross>, g++-9-aarch64-linux-gnu [arm64] <cross>, gobjc-9-aarch64-linux-gnu [arm64] <cross>, gfortran-9-aarch64-linux-gnu [arm64] <cross>, gdc-9-aarch64-linux-gnu [arm64] <cross>, gccgo-9-aarch64-linux-gnu [arm64] <cross>, gnat-9-aarch64-linux-gnu [arm64] <cross>, gm2-9-aarch64-linux-gnu [arm64] <cross>, g++-9-i686-linux-gnu [i386] <cross>, gobjc-9-i686-linux-gnu [i386] <cross>, gfortran-9-i686-linux-gnu [i386] <cross>, gdc-9-i686-linux-gnu [i386] <cross>, gccgo-9-i686-linux-gnu [i386] <cross>, gnat-9-i686-linux-gnu [i386] <cross>, gm2-9-i686-linux-gnu [i386] <cross>, g++-9-mipsel-linux-gnu [mipsel] <cross>, gobjc-9-mipsel-linux-gnu [mipsel] <cross>, gfortran-9-mipsel-linux-gnu [mipsel] <cross>, gdc-9-mipsel-linux-gnu [mipsel] <cross>, gccgo-9-mipsel-linux-gnu [mipsel] <cross>, gnat-9-mipsel-linux-gnu [mipsel] <cross>, gm2-9-mipsel-linux-gnu [mipsel] <cross>, g++-9-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-9-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-9-mips64-linux-gnuabi64 [mips64] <cross>, gdc-9-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-9-mips64-linux-gnuabi64 [mips64] <cross>, gnat-9-mips64-linux-gnuabi64 [mips64] <cross>, gm2-9-mips64-linux-gnuabi64 [mips64] <cross>, g++-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-9-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-9-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-9-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-9-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-9-powerpc-linux-gnu [powerpc] <cross>, gobjc-9-powerpc-linux-gnu [powerpc] <cross>, gfortran-9-powerpc-linux-gnu [powerpc] <cross>, gdc-9-powerpc-linux-gnu [powerpc] <cross>, gccgo-9-powerpc-linux-gnu [powerpc] <cross>, gnat-9-powerpc-linux-gnu [powerpc] <cross>, g++-9-powerpc64-linux-gnu [ppc64] <cross>, gobjc-9-powerpc64-linux-gnu [ppc64] <cross>, gfortran-9-powerpc64-linux-gnu [ppc64] <cross>, gdc-9-powerpc64-linux-gnu [ppc64] <cross>, gccgo-9-powerpc64-linux-gnu [ppc64] <cross>, gnat-9-powerpc64-linux-gnu [ppc64] <cross>, g++-9-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-9-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-9-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-9-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-9-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-9-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-9-powerpc64le-linux-gnu [ppc64el] <cross>, g++-9-m68k-linux-gnu [m68k] <cross>, gobjc-9-m68k-linux-gnu [m68k] <cross>, gfortran-9-m68k-linux-gnu [m68k] <cross>, gdc-9-m68k-linux-gnu [m68k] <cross>, gm2-9-m68k-linux-gnu [m68k] <cross>, g++-9-riscv64-linux-gnu [riscv64] <cross>, gobjc-9-riscv64-linux-gnu [riscv64] <cross>, gfortran-9-riscv64-linux-gnu [riscv64] <cross>, gdc-9-riscv64-linux-gnu [riscv64] <cross>, gccgo-9-riscv64-linux-gnu [riscv64] <cross>, gnat-9-riscv64-linux-gnu [riscv64] <cross>, gm2-9-riscv64-linux-gnu [riscv64] <cross>, g++-9-sh4-linux-gnu [sh4] <cross>, gobjc-9-sh4-linux-gnu [sh4] <cross>, gfortran-9-sh4-linux-gnu [sh4] <cross>, gnat-9-sh4-linux-gnu [sh4] <cross>, g++-9-sparc64-linux-gnu [sparc64] <cross>, gobjc-9-sparc64-linux-gnu [sparc64] <cross>, gfortran-9-sparc64-linux-gnu [sparc64] <cross>, gdc-9-sparc64-linux-gnu [sparc64] <cross>, gccgo-9-sparc64-linux-gnu [sparc64] <cross>, gnat-9-sparc64-linux-gnu [sparc64] <cross>, gm2-9-sparc64-linux-gnu [sparc64] <cross>, g++-9-s390x-linux-gnu [s390x] <cross>, gobjc-9-s390x-linux-gnu [s390x] <cross>, gfortran-9-s390x-linux-gnu [s390x] <cross>, gdc-9-s390x-linux-gnu [s390x] <cross>, gccgo-9-s390x-linux-gnu [s390x] <cross>, gnat-9-s390x-linux-gnu [s390x] <cross>, gm2-9-s390x-linux-gnu [s390x] <cross>, g++-9-x86-64-linux-gnux32 [x32] <cross>, gobjc-9-x86-64-linux-gnux32 [x32] <cross>, gfortran-9-x86-64-linux-gnux32 [x32] <cross>, gdc-9-x86-64-linux-gnux32 [x32] <cross>, gccgo-9-x86-64-linux-gnux32 [x32] <cross>, gnat-9-x86-64-linux-gnux32 [x32] <cross>, g++-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-9-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-9-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-9-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-9-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-9-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-9-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-9-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest

Package: gcc-9-base
Architecture: any
Multi-Arch: same
Section: libs
Priority: required
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1
X-DH-Build-For-Type: target
Architecture: any
Section: libs
Priority: optional
Depends: gcc-9-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc1-armel [armel], libgcc1-armhf [armhf]
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Breaks: ${multiarch:breaks}
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
