## gcc-9 9.3.0

=== debian/changelog ===
gcc-9 (9.3.0-8) unstable; urgency=medium

  * Update to git 20200324 from the gcc-9 branch.
    - Fix PR tree-optimization/94125, PR target/90763 (PPC).
  * libgcc-N-dev: Include sanitizer headers again. Closes: #954750.
  * gm2: Define lang_register_spec_functions for jit. Addresses: #954438.
  * Generate dependencies on libgcc-sN if not building the common packages.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Mar 2020 18:41:59 +0100

gcc-9 (9.3.0-7) unstable; urgency=medium

  * Fix stage1 and stage2 cross builds.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Mar 2020 14:04:33 +0100

gcc-9 (9.3.0-6) unstable; urgency=medium

  * Move back the libgccjit headers into libgccjit-N-dev.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Mar 2020 12:37:48 +0100

gcc-9 (9.3.0-5) unstable; urgency=medium

  * Update to git 20200320 from the gcc-9 branch.
    - Fix PR tree-optimization/94163, PR rtl-optimization/94119,
      PR target/87560 (PPC), PR target/91913 (ARM), PR target/93800 (PPC),
      PR c++/92909, PR c++/92068, PR c++/93248, PR libstdc++/94063,
      PR libstdc++/93244, PR driver/92757, PR target/93709, PR middle-end/94189,
      PR debug/94167, PR middle-end/93566, PR target/94121 (AArch64),
      PR tree-optimization/94130, PR target/94121 (AArch64),
      PR middle-end/94111, PR tree-optimization/94114, PR middle-end/93399,
      PR debug/93888, PR tree-optimization/94001, PR libstdc++/94199.
  * Build using GCC 9 again.
  * Move limits.h and syslimits.h into <gcc-lib-dir>/include, and remove
    <gcc-lib-dir>/include-fixed.
  * Relax the dependency on libc6 again.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Mar 2020 10:40:52 +0100

gcc-9 (9.3.0-3) unstable; urgency=high

  * Ship the include-fixed directory again, for a working #include <limits.h>.
  * Build using GCC 8.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Mar 2020 09:37:07 +0100

gcc-9 (9.3.0-1) unstable; urgency=medium

  * GCC 9.3.0 release.
  * Update newlib to 3.3.0.
  * Update gm2 from the gcc_9_2_0_gm2 branch 202003114.
  * For all runtime libraries, generate dependencies on libgcc-sN instead
    on libgccN.
  * Stop shipping the include-fixed directory.
  * Refresh patches.
  * Tighten dependency on libc6 for this upload.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Mar 2020 15:24:59 +0100

gcc-9 (9.2.1-31) unstable; urgency=medium

  * GCC 9.3.0 release candidate.
  * Update to git 20200304 from the gcc-9 branch.
    - Fix PR c/93949, PR tree-optimization/93945, PR target/91276 (PPC),
      PR c++/92003, PR target/93047 (PPC), PR tree-optimization/93820,
      PR rtl-optimization/93908, PR tree-optimization/93767, PR c++/92745,
      PR c++/90951, PR c++/93140, PR c++/92852, PR libstdc++/93205,
      PR libstdc++/92886, PR libstdc++/93325, PR libstdc++/93562,
      PR libstdc++/92376, PR libstdc++/78552, PR rtl-optimization/94002,
      PR c++/92601,i PR other/93965, PR c++/86917, PR c++/91953,
      PR c++/88256, PR c++/93442, PR c++/90732, PR c++/90333, PR c++/89640,
      PR c++/60503, PR libbacktrace/91908, PR lto/93966,
      PR target/94046 (x86), PR target/90311 (ARM), PR sanitizer/93436,
      PR c++/88395, PR c++/93551, PR gcov-profile/93753, PR c++/90338,
      PR c++/91607, PR c++/90938, PR c++/93299, PR c++/93676, PR c++/90505,
      PR c++/90432, PR c++/90997, PR fortran/92976, PR libstdc++/94069,
      PR libstdc++/91910, PR libstdc++/93470, PR libstdc++/93325.
    - Revert PR target/93658 (PPC), PR target/93568 (PPC).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2020 20:20:03 +0100

gcc-9 (9.2.1-30) unstable; urgency=medium

  * Update to git 20200224 from the gcc-9 branch.
    - Fix PR target/93658 (PPC), PR target/93568 (PPC), PR target/93828 (x86),
      PR target/93656 (x86).
  * Don't create doc directories for -dbg packages when not building those.
  * Fix PR rtl-optimization/93272, taken from the trunk. LP: #1862342.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Feb 2020 20:10:08 +0100

gcc-9 (9.2.1-29) unstable; urgency=medium

  * Update to git 20200220 from the gcc-9 branch.
    - Fix PR middle-end/92768, PR middle-end/90313, PR tree-optimization/93434,
      PR tree-optimization/92710, PR tree-optimization/92420, PR target/90724,
      PR target/93724 (x86), PR target/93743 (x86), PR tree-optimization/93744,
      PR target/93704 (SPARC), PR rtl-optimization/88879, PR middle-end/90648,
      PR tree-optimization/93381, PR tree-optimization/93439,
      PR middle-end/93054, PR debug/92763, PR tree-optimization/92704,
      PR middle-end/92674, PR target/93696 (x86), PR target/93670 (x86),
      PR target/93637 (x86), PR target/65782 (x86), PR libgomp/93515,
      PR libgomp/93515, PR middle-end/93555, PR middle-end/93505,
      PR target/93418 (x86), PR rtl-optimization/93402, PR target/85667,
      PR rtl-optimization/91838, PR c/93576, PR c++/61414, PR c++/93557,
      PR c++/91118, PR fortran/93580, PR fortran/93463, PR libgcc/85334,
      PR fortran/93714.
  * Fix PR target/93658 (PPC), proposed patch. LP: #1862053.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Feb 2020 10:09:59 +0100

gcc-9 (9.2.1-28) unstable; urgency=medium

  * Update to git 20200203 from the gcc-9 branch.
    - Fix PR fortran/93541, PR fortran/93462, PR fortran/93309.
  * libgcc-dev: Don't ship a libgcc_so.1 symlink in gcclibdir. Closes: #950525.
  * Allow retrying of a native build in case of unreproducible ICEs.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Feb 2020 18:12:19 +0100

gcc-9 (9.2.1-26) unstable; urgency=medium

  * Update to git 20200202 from the gcc-9 branch.
    - Fix PR target/93304 (RISCV), PR target/92424 (AArch64),
      PR target/92692 (AArch64), PR c++/89357, PR c++/90546, PR c++/90731,
      PR c++/90966, PR c++/93279, PR c++/91826, PR c++/92852,
      PR libstdc++/91947.
  * Stop building packages now built by gcc-10.
  * Dump the config.log for the configure step when it fails.
  * On architectures where libgcc_s.so is a symlink, replace the symlink with

